
static const int NUM_LIGHTS = 2;

uniform float3 lightAmbient[NUM_LIGHTS];
uniform float3 lightDiffuse[NUM_LIGHTS];

struct VS_INPUT 
{
	float2 uv0							: TEXCOORD0;
	float2 terrainUV					: TEXCOORD1;
	float4 color						: COLOR0;
};

float4 main_ps( VS_INPUT input ) : COLOR0
{
	return float4(1,0,1,1); // this shader shouldn't be in use at all
}
